<?php
$learnify_woocommerce_sc = learnify_get_theme_option( 'front_page_woocommerce_products' );
if ( ! empty( $learnify_woocommerce_sc ) ) {
	?><div class="front_page_section front_page_section_woocommerce<?php
		$learnify_scheme = learnify_get_theme_option( 'front_page_woocommerce_scheme' );
		if ( ! empty( $learnify_scheme ) && ! learnify_is_inherit( $learnify_scheme ) ) {
			echo ' scheme_' . esc_attr( $learnify_scheme );
		}
		echo ' front_page_section_paddings_' . esc_attr( learnify_get_theme_option( 'front_page_woocommerce_paddings' ) );
		if ( learnify_get_theme_option( 'front_page_woocommerce_stack' ) ) {
			echo ' sc_stack_section_on';
		}
	?>"
			<?php
			$learnify_css      = '';
			$learnify_bg_image = learnify_get_theme_option( 'front_page_woocommerce_bg_image' );
			if ( ! empty( $learnify_bg_image ) ) {
				$learnify_css .= 'background-image: url(' . esc_url( learnify_get_attachment_url( $learnify_bg_image ) ) . ');';
			}
			if ( ! empty( $learnify_css ) ) {
				echo ' style="' . esc_attr( $learnify_css ) . '"';
			}
			?>
	>
	<?php
		// Add anchor
		$learnify_anchor_icon = learnify_get_theme_option( 'front_page_woocommerce_anchor_icon' );
		$learnify_anchor_text = learnify_get_theme_option( 'front_page_woocommerce_anchor_text' );
		if ( ( ! empty( $learnify_anchor_icon ) || ! empty( $learnify_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
			echo do_shortcode(
				'[trx_sc_anchor id="front_page_section_woocommerce"'
											. ( ! empty( $learnify_anchor_icon ) ? ' icon="' . esc_attr( $learnify_anchor_icon ) . '"' : '' )
											. ( ! empty( $learnify_anchor_text ) ? ' title="' . esc_attr( $learnify_anchor_text ) . '"' : '' )
											. ']'
			);
		}
	?>
		<div class="front_page_section_inner front_page_section_woocommerce_inner
			<?php
			if ( learnify_get_theme_option( 'front_page_woocommerce_fullheight' ) ) {
				echo ' learnify-full-height sc_layouts_flex sc_layouts_columns_middle';
			}
			?>
				"
				<?php
				$learnify_css      = '';
				$learnify_bg_mask  = learnify_get_theme_option( 'front_page_woocommerce_bg_mask' );
				$learnify_bg_color_type = learnify_get_theme_option( 'front_page_woocommerce_bg_color_type' );
				if ( 'custom' == $learnify_bg_color_type ) {
					$learnify_bg_color = learnify_get_theme_option( 'front_page_woocommerce_bg_color' );
				} elseif ( 'scheme_bg_color' == $learnify_bg_color_type ) {
					$learnify_bg_color = learnify_get_scheme_color( 'bg_color', $learnify_scheme );
				} else {
					$learnify_bg_color = '';
				}
				if ( ! empty( $learnify_bg_color ) && $learnify_bg_mask > 0 ) {
					$learnify_css .= 'background-color: ' . esc_attr(
						1 == $learnify_bg_mask ? $learnify_bg_color : learnify_hex2rgba( $learnify_bg_color, $learnify_bg_mask )
					) . ';';
				}
				if ( ! empty( $learnify_css ) ) {
					echo ' style="' . esc_attr( $learnify_css ) . '"';
				}
				?>
		>
			<div class="front_page_section_content_wrap front_page_section_woocommerce_content_wrap content_wrap woocommerce">
				<?php
				// Content wrap with title and description
				$learnify_caption     = learnify_get_theme_option( 'front_page_woocommerce_caption' );
				$learnify_description = learnify_get_theme_option( 'front_page_woocommerce_description' );
				if ( ! empty( $learnify_caption ) || ! empty( $learnify_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					// Caption
					if ( ! empty( $learnify_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
						?>
						<h2 class="front_page_section_caption front_page_section_woocommerce_caption front_page_block_<?php echo ! empty( $learnify_caption ) ? 'filled' : 'empty'; ?>">
						<?php
							echo wp_kses( $learnify_caption, 'learnify_kses_content' );
						?>
						</h2>
						<?php
					}

					// Description (text)
					if ( ! empty( $learnify_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
						?>
						<div class="front_page_section_description front_page_section_woocommerce_description front_page_block_<?php echo ! empty( $learnify_description ) ? 'filled' : 'empty'; ?>">
						<?php
							echo wp_kses( wpautop( $learnify_description ), 'learnify_kses_content' );
						?>
						</div>
						<?php
					}
				}

				// Content (widgets)
				?>
				<div class="front_page_section_output front_page_section_woocommerce_output list_products shop_mode_thumbs">
					<?php
					if ( 'products' == $learnify_woocommerce_sc ) {
						$learnify_woocommerce_sc_ids      = learnify_get_theme_option( 'front_page_woocommerce_products_per_page' );
						$learnify_woocommerce_sc_per_page = count( explode( ',', $learnify_woocommerce_sc_ids ) );
					} else {
						$learnify_woocommerce_sc_per_page = max( 1, (int) learnify_get_theme_option( 'front_page_woocommerce_products_per_page' ) );
					}
					$learnify_woocommerce_sc_columns = max( 1, min( $learnify_woocommerce_sc_per_page, (int) learnify_get_theme_option( 'front_page_woocommerce_products_columns' ) ) );
					echo do_shortcode(
						"[{$learnify_woocommerce_sc}"
										. ( 'products' == $learnify_woocommerce_sc
												? ' ids="' . esc_attr( $learnify_woocommerce_sc_ids ) . '"'
												: '' )
										. ( 'product_category' == $learnify_woocommerce_sc
												? ' category="' . esc_attr( learnify_get_theme_option( 'front_page_woocommerce_products_categories' ) ) . '"'
												: '' )
										. ( 'best_selling_products' != $learnify_woocommerce_sc
												? ' orderby="' . esc_attr( learnify_get_theme_option( 'front_page_woocommerce_products_orderby' ) ) . '"'
													. ' order="' . esc_attr( learnify_get_theme_option( 'front_page_woocommerce_products_order' ) ) . '"'
												: '' )
										. ' per_page="' . esc_attr( $learnify_woocommerce_sc_per_page ) . '"'
										. ' columns="' . esc_attr( $learnify_woocommerce_sc_columns ) . '"'
						. ']'
					);
					?>
				</div>
			</div>
		</div>
	</div>
	<?php
}
