<?php
/**
 * The custom template to display the content
 *
 * Used for index/archive/search.
 *
 * @package LEARNIFY
 * @since LEARNIFY 1.0.50
 */

$learnify_template_args = get_query_var( 'learnify_template_args' );
if ( is_array( $learnify_template_args ) ) {
	$learnify_columns    = empty( $learnify_template_args['columns'] ) ? 2 : max( 1, $learnify_template_args['columns'] );
	$learnify_blog_style = array( $learnify_template_args['type'], $learnify_columns );
} else {
	$learnify_template_args = array();
	$learnify_blog_style = explode( '_', learnify_get_theme_option( 'blog_style' ) );
	$learnify_columns    = empty( $learnify_blog_style[1] ) ? 2 : max( 1, $learnify_blog_style[1] );
}
$learnify_blog_id       = learnify_get_custom_blog_id( join( '_', $learnify_blog_style ) );
$learnify_blog_style[0] = str_replace( 'blog-custom-', '', $learnify_blog_style[0] );
$learnify_expanded      = ! learnify_sidebar_present() && learnify_get_theme_option( 'expand_content' ) == 'expand';
$learnify_components    = ! empty( $learnify_template_args['meta_parts'] )
							? ( is_array( $learnify_template_args['meta_parts'] )
								? join( ',', $learnify_template_args['meta_parts'] )
								: $learnify_template_args['meta_parts']
								)
							: learnify_array_get_keys_by_value( learnify_get_theme_option( 'meta_parts' ) );
$learnify_post_format   = get_post_format();
$learnify_post_format   = empty( $learnify_post_format ) ? 'standard' : str_replace( 'post-format-', '', $learnify_post_format );

$learnify_blog_meta     = learnify_get_custom_layout_meta( $learnify_blog_id );
$learnify_custom_style  = ! empty( $learnify_blog_meta['scripts_required'] ) ? $learnify_blog_meta['scripts_required'] : 'none';

if ( ! empty( $learnify_template_args['slider'] ) || $learnify_columns > 1 || ! learnify_is_off( $learnify_custom_style ) ) {
	?><div class="
		<?php
		if ( ! empty( $learnify_template_args['slider'] ) ) {
			echo 'slider-slide swiper-slide';
		} else {
			echo esc_attr( ( learnify_is_off( $learnify_custom_style ) ? 'column' : sprintf( '%1$s_item %1$s_item', $learnify_custom_style ) ) . "-1_{$learnify_columns}" );
		}
		?>
	">
	<?php
}
?>
<article id="post-<?php the_ID(); ?>" data-post-id="<?php the_ID(); ?>"
	<?php
	post_class(
			'post_item post_item_container post_format_' . esc_attr( $learnify_post_format )
					. ' post_layout_custom post_layout_custom_' . esc_attr( $learnify_columns )
					. ' post_layout_' . esc_attr( $learnify_blog_style[0] )
					. ' post_layout_' . esc_attr( $learnify_blog_style[0] ) . '_' . esc_attr( $learnify_columns )
					. ( ! learnify_is_off( $learnify_custom_style )
						? ' post_layout_' . esc_attr( $learnify_custom_style )
							. ' post_layout_' . esc_attr( $learnify_custom_style ) . '_' . esc_attr( $learnify_columns )
						: ''
						)
		);
	learnify_add_blog_animation( $learnify_template_args );
	?>
>
	<?php
	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}
	// Custom layout
	do_action( 'learnify_action_show_layout', $learnify_blog_id, get_the_ID() );
	?>
</article><?php
if ( ! empty( $learnify_template_args['slider'] ) || $learnify_columns > 1 || ! learnify_is_off( $learnify_custom_style ) ) {
	?></div><?php
	// Need opening PHP-tag above just after </div>, because <div> is a inline-block element (used as column)!
}
